import request from '@/utils/request'

/**
 * 获取推送数据
 * @param params
 * @returns {AxiosPromise}
 */
export function getEquipmentMonitoringData(baseUrl, params) {
    return request({
        url: baseUrl + '/3rd/bigScreenData/bigScreenMessage',
        method: 'get',
        params
    })
}

/**
 * 风险点列表
 * @param baseUrl
 * @param params
 */
export function hazardList(baseUrl, params) {
    return request({
        url: baseUrl + '/3rd/fire/hazardList',
        method: 'get',
        params
    })
}


/**
 * 风险处理
 * @param baseUrl
 * @param params
 */
export function hazard(baseUrl, params) {
    return request({
        url: baseUrl + '/3rd/fire/hazard',
        method: 'post',
        data: params
    })
}


/**
 * 风险处理
 * @param baseUrl
 * @param params
 */
export function uploadFile(baseUrl, params) {
    return request({
        url: baseUrl + '/api/uploadFile',
        method: 'post',
        data: params,
        headers: {'Content-Type': 'multipart/form-data'}
    })
}


